Package com.sap.ai.sdk.orchestration

# Class OrchestrationAiModel

java.lang.Object
com.sap.ai.sdk.orchestration.OrchestrationAiModel

public final class OrchestrationAiModel extends Object
Large language models available in Orchestration.

Please note that the template of models provided in this class might be outdated. To check the latest availability of models in Orchestration, please refer to SAP Availability of Generative AI Models and pay attention to the Available in Orchestration column.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `OrchestrationAiModel.Parameter<ValueT>`
  Parameter key for a model.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final OrchestrationAiModel`
  `ALEPHALPHA_PHARIA_1_7B_CONTROL`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement on 2025-10-31.
  `static final OrchestrationAiModel`
  `CLAUDE_3_5_SONNET`
  Deprecated.
  This model is deprecated on AI Core.
  `static final OrchestrationAiModel`
  `CLAUDE_3_7_SONNET`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement on 2025-04-28.
  `static final OrchestrationAiModel`
  `CLAUDE_3_HAIKU`
  Anthropic Claude 3 Haiku model
  `static final OrchestrationAiModel`
  `CLAUDE_3_OPUS`
  Deprecated.
  This model is deprecated on AI Core.
  `static final OrchestrationAiModel`
  `CLAUDE_3_SONNET`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement on 2025-07-21.
  `static final OrchestrationAiModel`
  `CLAUDE_4_5_HAIKU`
  Anthropic Claude 4.5 Haiku model
  `static final OrchestrationAiModel`
  `CLAUDE_4_5_OPUS`
  Anthropic Claude 4.5 Opus model
  `static final OrchestrationAiModel`
  `CLAUDE_4_5_SONNET`
  Anthropic Claude 4.5 Sonnet model
  `static final OrchestrationAiModel`
  `CLAUDE_4_6_OPUS`
  Anthropic Claude 4.6 Opus model
  `static final OrchestrationAiModel`
  `CLAUDE_4_6_SONNET`
  Anthropic Claude 4.6 Sonnet model
  `static final OrchestrationAiModel`
  `CLAUDE_4_7_OPUS`
  Anthropic Claude 4.7 Opus model
  `static final OrchestrationAiModel`
  `CLAUDE_4_OPUS`
  Anthropic Claude 4 Opus model
  `static final OrchestrationAiModel`
  `CLAUDE_4_SONNET`
  Anthropic Claude 4 Sonnet model
  `static final OrchestrationAiModel`
  `COHERE_COMMAND_A_REASONING`
  Cohere Command a Reasoning model
  `static final OrchestrationAiModel`
  `COHERE_RERANKER`
  Cohere Reranker Model
  `static final OrchestrationAiModel`
  `DEEPSEEK_R1`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement on 2025-11-31.
  `static final OrchestrationAiModel`
  `GEMINI_1_0_PRO`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement on 2025-04-09.
  `static final OrchestrationAiModel`
  `GEMINI_1_5_FLASH`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement on 2025-09-24.
  `static final OrchestrationAiModel`
  `GEMINI_1_5_PRO`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement on 2025-09-24.
  `static final OrchestrationAiModel`
  `GEMINI_2_0_FLASH`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement on 2026-02-05.
  `static final OrchestrationAiModel`
  `GEMINI_2_0_FLASH_LITE`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement on 2026-02-25.
  `static final OrchestrationAiModel`
  `GEMINI_2_5_FLASH`
  Google Cloud Platform Gemini 2.5 Flash model
  `static final OrchestrationAiModel`
  `GEMINI_2_5_FLASH_LITE`
  Google Cloud Platform Gemini 2.5 Flash Lite model
  `static final OrchestrationAiModel`
  `GEMINI_2_5_PRO`
  Google Cloud Platform Gemini 2.5 Pro model
  `static final OrchestrationAiModel`
  `GEMINI_3_1_FLASH_LITE`
  Google Cloud Platform Gemini 3.1 Flash Lite model
  `static final OrchestrationAiModel`
  `GEMINI_3_5_FLASH`
  Google Cloud Platform Gemini 3.5 Flash model
  `static final OrchestrationAiModel`
  `GPT_35_TURBO`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement on 2025-09-01.
  `static final OrchestrationAiModel`
  `GPT_35_TURBO_0125`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement on 2025-09-01.
  `static final OrchestrationAiModel`
  `GPT_35_TURBO_16K`
  Deprecated.
  This model is deprecated on AI Core.
  `static final OrchestrationAiModel`
  `GPT_4`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement on 2025-09-01.
  `static final OrchestrationAiModel`
  `GPT_4_0613`
  Deprecated.
  This model is deprecated on AI Core.The suggested replacement model is `GPT_4O` or `GPT_41`.
  `static final OrchestrationAiModel`
  `GPT_4_32K`
  Deprecated.
  This model is deprecated on AI Core.
  `static final OrchestrationAiModel`
  `GPT_41`
  Azure OpenAI GPT-4.1 model
  `static final OrchestrationAiModel`
  `GPT_41_MINI`
  Azure OpenAI GPT-4.1-mini model
  `static final OrchestrationAiModel`
  `GPT_41_NANO`
  Azure OpenAI GPT-4.1-nano model
  `static final OrchestrationAiModel`
  `GPT_4O`
  Azure OpenAI GPT-4o model
  `static final OrchestrationAiModel`
  `GPT_4O_MINI`
  Deprecated.
  This model is deprecated on AI Core.The suggested replacement model is `GPT_5_MINI`.
  `static final OrchestrationAiModel`
  `GPT_5`
  Azure OpenAI GPT-5 model
  `static final OrchestrationAiModel`
  `GPT_5_MINI`
  Azure OpenAI GPT-5-mini model
  `static final OrchestrationAiModel`
  `GPT_5_NANO`
  Azure OpenAI GPT-5-nano model
  `static final OrchestrationAiModel`
  `GPT_52`
  Azure OpenAI GPT-5.2 model
  `static final OrchestrationAiModel`
  `GPT_53_CODEX`
  Azure OpenAI GPT-5.3-codex model
  `static final OrchestrationAiModel`
  `GPT_54`
  Azure OpenAI GPT-5.4 model
  `static final OrchestrationAiModel`
  `GPT_54_NANO`
  Azure OpenAI GPT-5.4-nano model
  `static final OrchestrationAiModel`
  `GPT_55`
  Azure OpenAI GPT-5.5 model
  `static final OrchestrationAiModel`
  `IBM_GRANITE_13B_CHAT`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement not earlier than 2025-09-30.
  `static final OrchestrationAiModel`
  `LLAMA_CINDERELLA_DN`
  Meta Llama Cinderella DN model
  `static final OrchestrationAiModel`
  `LLAMA3_1_70B_INSTRUCT`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement on 2025-07-30.
  `static final OrchestrationAiModel`
  `LLAMA3_70B_INSTRUCT`
  Deprecated.
  This model is deprecated on AI Core.
  `static final OrchestrationAiModel`
  `MISTRAL_LARGE_INSTRUCT`
  Deprecated.
  This model is deprecated on AI Core.
  `static final OrchestrationAiModel`
  `MISTRAL_MEDIUM_INSTRUCT`
  MistralAI Mistral Medium Instruct model
  `static final OrchestrationAiModel`
  `MISTRAL_SMALL`
  MistralAI Mistral Small model
  `static final OrchestrationAiModel`
  `MISTRAL_SMALL_INSTRUCT`
  Deprecated.
  This model is deprecated on AI Core.
  `static final OrchestrationAiModel`
  `MIXTRAL_8X7B_INSTRUCT_V01`
  Deprecated.
  This model is deprecated on AI Core.
  `static final OrchestrationAiModel`
  `NOVA_LITE`
  Amazon Nova Lite model
  `static final OrchestrationAiModel`
  `NOVA_MICRO`
  Amazon Nova Micro model
  `static final OrchestrationAiModel`
  `NOVA_PREMIER`
  Amazon Nova Premier model
  `static final OrchestrationAiModel`
  `NOVA_PRO`
  Amazon Nova Pro model
  `static final OrchestrationAiModel`
  `OPENAI_O1`
  Deprecated.
  This model is deprecated on AI Core.
  `static final OrchestrationAiModel`
  `OPENAI_O3`
  Azure OpenAI o3 model
  `static final OrchestrationAiModel`
  `OPENAI_O3_MINI`
  Deprecated.
  This model is deprecated on AI Core.
  `static final OrchestrationAiModel`
  `OPENAI_O4_MINI`
  Azure OpenAI o4-mini model
  `static final OrchestrationAiModel`
  `SAP_ABAP_1`
  SAP ABAP 1 model
  `static final OrchestrationAiModel`
  `SONAR`
  Perplexity AI Sonar model
  `static final OrchestrationAiModel`
  `SONAR_DEEP_RESEARCH`
  Perplexity AI Sonar Deep Research model
  `static final OrchestrationAiModel`
  `SONAR_PRO`
  Perplexity AI Sonar Pro model
  `static final OrchestrationAiModel`
  `TITAN_TEXT_EXPRESS`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement on 2025-08-15.
  `static final OrchestrationAiModel`
  `TITAN_TEXT_LITE`
  Deprecated.
  This model is deprecated on AI Core with a planned retirement on 2025-08-15.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrchestrationAiModel(String name, Map<String,Object> params, String version)`
  Creates a new `OrchestrationAiModel` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getName()`
  The name of the model
  `Map<String,Object>`
  `getParams()`
  Optional parameters on this model.
  `String`
  `getVersion()`
  The version of the model, defaults to "latest".
  `int`
  `hashCode()`
  `String`
  `toString()`
  `OrchestrationAiModel`
  `withName(String name)`
  The name of the model
  `<ValueT> OrchestrationAiModel`
  `withParam(OrchestrationAiModel.Parameter<ValueT> param, ValueT value)`
  Additional parameter on this model.
  `OrchestrationAiModel`
  `withParam(String key, Object value)`
  Additional parameter on this model.
  `OrchestrationAiModel`
  `withParams(Map<String,Object> params)`
  Optional parameters on this model.
  `OrchestrationAiModel`
  `withVersion(String version)`
  The version of the model, defaults to "latest".

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### IBM_GRANITE_13B_CHAT

    @Deprecated public static final OrchestrationAiModel IBM_GRANITE_13B_CHAT
    Deprecated.
    This model is deprecated on AI Core with a planned retirement not earlier than 2025-09-30.
    IBM Granite 13B Chat model

  - ### MISTRAL_LARGE_INSTRUCT

    @Deprecated public static final OrchestrationAiModel MISTRAL_LARGE_INSTRUCT
    Deprecated.
    This model is deprecated on AI Core.
    MistralAI Mistral Large Instruct model

  - ### MISTRAL_SMALL_INSTRUCT

    @Deprecated public static final OrchestrationAiModel MISTRAL_SMALL_INSTRUCT
    Deprecated.
    This model is deprecated on AI Core.
    MistralAI Mistral Small Instruct model

  - ### MISTRAL_MEDIUM_INSTRUCT

    public static final OrchestrationAiModel MISTRAL_MEDIUM_INSTRUCT
    MistralAI Mistral Medium Instruct model

  - ### MIXTRAL_8X7B_INSTRUCT_V01

    @Deprecated public static final OrchestrationAiModel MIXTRAL_8X7B_INSTRUCT_V01
    Deprecated.
    This model is deprecated on AI Core. The suggested replacement model is `MISTRAL_SMALL_INSTRUCT`.
    MistralAI Mixtral 8x7B Instruct v01 model

  - ### MISTRAL_SMALL

    public static final OrchestrationAiModel MISTRAL_SMALL
    MistralAI Mistral Small model

  - ### LLAMA3_70B_INSTRUCT

    @Deprecated public static final OrchestrationAiModel LLAMA3_70B_INSTRUCT
    Deprecated.
    This model is deprecated on AI Core.
    Meta Llama3 70B Instruct model

  - ### LLAMA3_1_70B_INSTRUCT

    @Deprecated public static final OrchestrationAiModel LLAMA3_1_70B_INSTRUCT
    Deprecated.
    This model is deprecated on AI Core with a planned retirement on 2025-07-30.
    Meta Llama3.1 70B Instruct model

  - ### LLAMA_CINDERELLA_DN

    public static final OrchestrationAiModel LLAMA_CINDERELLA_DN
    Meta Llama Cinderella DN model

  - ### COHERE_COMMAND_A_REASONING

    public static final OrchestrationAiModel COHERE_COMMAND_A_REASONING
    Cohere Command a Reasoning model

  - ### CLAUDE_3_SONNET

    @Deprecated public static final OrchestrationAiModel CLAUDE_3_SONNET
    Deprecated.
    This model is deprecated on AI Core with a planned retirement on 2025-07-21. The suggested replacement model is `CLAUDE_4_SONNET`.
    Anthropic Claude 3 Sonnet model

  - ### CLAUDE_3_HAIKU

    public static final OrchestrationAiModel CLAUDE_3_HAIKU
    Anthropic Claude 3 Haiku model

  - ### CLAUDE_3_OPUS

    @Deprecated public static final OrchestrationAiModel CLAUDE_3_OPUS
    Deprecated.
    This model is deprecated on AI Core. The suggested replacement model is `CLAUDE_4_OPUS`.
    Anthropic Claude 3 Opus model

  - ### CLAUDE_3_5_SONNET

    @Deprecated public static final OrchestrationAiModel CLAUDE_3_5_SONNET
    Deprecated.
    This model is deprecated on AI Core. The suggested replacement model is `CLAUDE_4_SONNET`.
    Anthropic Claude 3.5 Sonnet model

  - ### CLAUDE_3_7_SONNET

    @Deprecated public static final OrchestrationAiModel CLAUDE_3_7_SONNET
    Deprecated.
    This model is deprecated on AI Core with a planned retirement on 2025-04-28.
    Anthropic Claude 3.7 Sonnet model

  - ### CLAUDE_4_OPUS

    public static final OrchestrationAiModel CLAUDE_4_OPUS
    Anthropic Claude 4 Opus model

  - ### CLAUDE_4_5_OPUS

    public static final OrchestrationAiModel CLAUDE_4_5_OPUS
    Anthropic Claude 4.5 Opus model

  - ### CLAUDE_4_SONNET

    public static final OrchestrationAiModel CLAUDE_4_SONNET
    Anthropic Claude 4 Sonnet model

  - ### CLAUDE_4_5_SONNET

    public static final OrchestrationAiModel CLAUDE_4_5_SONNET
    Anthropic Claude 4.5 Sonnet model

  - ### CLAUDE_4_5_HAIKU

    public static final OrchestrationAiModel CLAUDE_4_5_HAIKU
    Anthropic Claude 4.5 Haiku model

  - ### CLAUDE_4_6_OPUS

    public static final OrchestrationAiModel CLAUDE_4_6_OPUS
    Anthropic Claude 4.6 Opus model

  - ### CLAUDE_4_6_SONNET

    public static final OrchestrationAiModel CLAUDE_4_6_SONNET
    Anthropic Claude 4.6 Sonnet model

  - ### CLAUDE_4_7_OPUS

    public static final OrchestrationAiModel CLAUDE_4_7_OPUS
    Anthropic Claude 4.7 Opus model

  - ### TITAN_TEXT_LITE

    @Deprecated public static final OrchestrationAiModel TITAN_TEXT_LITE
    Deprecated.
    This model is deprecated on AI Core with a planned retirement on 2025-08-15.
    Amazon Titan Text Lite model

  - ### TITAN_TEXT_EXPRESS

    @Deprecated public static final OrchestrationAiModel TITAN_TEXT_EXPRESS
    Deprecated.
    This model is deprecated on AI Core with a planned retirement on 2025-08-15.
    Amazon Titan Text Express model

  - ### NOVA_PRO

    public static final OrchestrationAiModel NOVA_PRO
    Amazon Nova Pro model

  - ### NOVA_LITE

    public static final OrchestrationAiModel NOVA_LITE
    Amazon Nova Lite model

  - ### NOVA_MICRO

    public static final OrchestrationAiModel NOVA_MICRO
    Amazon Nova Micro model

  - ### NOVA_PREMIER

    public static final OrchestrationAiModel NOVA_PREMIER
    Amazon Nova Premier model

  - ### COHERE_RERANKER

    public static final OrchestrationAiModel COHERE_RERANKER
    Cohere Reranker Model

  - ### GPT_35_TURBO

    @Deprecated public static final OrchestrationAiModel GPT_35_TURBO
    Deprecated.
    This model is deprecated on AI Core with a planned retirement on 2025-09-01. The suggested replacement model is `GPT_4O_MINI`.
    Azure OpenAI GPT-3.5 Turbo model

  - ### GPT_35_TURBO_16K

    @Deprecated public static final OrchestrationAiModel GPT_35_TURBO_16K
    Deprecated.
    This model is deprecated on AI Core.
    Azure OpenAI GPT-3.5 Turbo model

  - ### GPT_35_TURBO_0125

    @Deprecated public static final OrchestrationAiModel GPT_35_TURBO_0125
    Deprecated.
    This model is deprecated on AI Core with a planned retirement on 2025-09-01. The suggested replacement model is `GPT_4O_MINI`.
    Azure OpenAI GPT-3.5 Turbo model

  - ### GPT_4

    @Deprecated public static final OrchestrationAiModel GPT_4
    Deprecated.
    This model is deprecated on AI Core with a planned retirement on 2025-09-01. The suggested replacement model is `GPT_4O` or `GPT_41`.
    Azure OpenAI GPT-4 model

  - ### GPT_41_MINI

    public static final OrchestrationAiModel GPT_41_MINI
    Azure OpenAI GPT-4.1-mini model

  - ### GPT_41

    public static final OrchestrationAiModel GPT_41
    Azure OpenAI GPT-4.1 model

  - ### GPT_41_NANO

    public static final OrchestrationAiModel GPT_41_NANO
    Azure OpenAI GPT-4.1-nano model

  - ### GPT_4_32K

    @Deprecated public static final OrchestrationAiModel GPT_4_32K
    Deprecated.
    This model is deprecated on AI Core.
    Azure OpenAI GPT-4 model

  - ### GPT_4_0613

    @Deprecated public static final OrchestrationAiModel GPT_4_0613
    Deprecated.
    This model is deprecated on AI Core.The suggested replacement model is `GPT_4O` or `GPT_41`.
    Azure OpenAI GPT-4 version 0613 model

  - ### GPT_4O

    public static final OrchestrationAiModel GPT_4O
    Azure OpenAI GPT-4o model

  - ### GPT_4O_MINI

    @Deprecated public static final OrchestrationAiModel GPT_4O_MINI
    Deprecated.
    This model is deprecated on AI Core.The suggested replacement model is `GPT_5_MINI`.
    Azure OpenAI GPT-4o-mini model

  - ### OPENAI_O1

    @Deprecated public static final OrchestrationAiModel OPENAI_O1
    Deprecated.
    This model is deprecated on AI Core.
    Azure OpenAI o1 model

  - ### OPENAI_O3_MINI

    @Deprecated public static final OrchestrationAiModel OPENAI_O3_MINI
    Deprecated.
    This model is deprecated on AI Core.
    Azure OpenAI o3-mini model

  - ### OPENAI_O4_MINI

    public static final OrchestrationAiModel OPENAI_O4_MINI
    Azure OpenAI o4-mini model

  - ### OPENAI_O3

    public static final OrchestrationAiModel OPENAI_O3
    Azure OpenAI o3 model

  - ### GPT_5

    public static final OrchestrationAiModel GPT_5
    Azure OpenAI GPT-5 model

  - ### GPT_5_MINI

    public static final OrchestrationAiModel GPT_5_MINI
    Azure OpenAI GPT-5-mini model

  - ### GPT_5_NANO

    public static final OrchestrationAiModel GPT_5_NANO
    Azure OpenAI GPT-5-nano model

  - ### GPT_52

    public static final OrchestrationAiModel GPT_52
    Azure OpenAI GPT-5.2 model

  - ### GPT_53_CODEX

    public static final OrchestrationAiModel GPT_53_CODEX
    Azure OpenAI GPT-5.3-codex model

  - ### GPT_54

    public static final OrchestrationAiModel GPT_54
    Azure OpenAI GPT-5.4 model

  - ### GPT_54_NANO

    public static final OrchestrationAiModel GPT_54_NANO
    Azure OpenAI GPT-5.4-nano model

  - ### GPT_55

    public static final OrchestrationAiModel GPT_55
    Azure OpenAI GPT-5.5 model

  - ### GEMINI_1_0_PRO

    @Deprecated public static final OrchestrationAiModel GEMINI_1_0_PRO
    Deprecated.
    This model is deprecated on AI Core with a planned retirement on 2025-04-09. The suggested replacement model is `GEMINI_2_0_FLASH` or `GEMINI_2_0_FLASH_LITE`.
    Google Cloud Platform Gemini 1.0 Pro model

  - ### GEMINI_1_5_PRO

    @Deprecated public static final OrchestrationAiModel GEMINI_1_5_PRO
    Deprecated.
    This model is deprecated on AI Core with a planned retirement on 2025-09-24. The suggested replacement model is `GEMINI_2_5_PRO`.
    Google Cloud Platform Gemini 1.5 Pro model

  - ### GEMINI_1_5_FLASH

    @Deprecated public static final OrchestrationAiModel GEMINI_1_5_FLASH
    Deprecated.
    This model is deprecated on AI Core with a planned retirement on 2025-09-24. The suggested replacement model is `GEMINI_2_5_FLASH`.
    Google Cloud Platform Gemini 1.5 Flash model

  - ### GEMINI_2_0_FLASH

    @Deprecated public static final OrchestrationAiModel GEMINI_2_0_FLASH
    Deprecated.
    This model is deprecated on AI Core with a planned retirement on 2026-02-05.
    Google Cloud Platform Gemini 2.0 Flash model

  - ### GEMINI_2_0_FLASH_LITE

    @Deprecated public static final OrchestrationAiModel GEMINI_2_0_FLASH_LITE
    Deprecated.
    This model is deprecated on AI Core with a planned retirement on 2026-02-25.
    Google Cloud Platform Gemini 2.0 Flash-Lite model

  - ### GEMINI_2_5_FLASH

    public static final OrchestrationAiModel GEMINI_2_5_FLASH
    Google Cloud Platform Gemini 2.5 Flash model

  - ### GEMINI_2_5_FLASH_LITE

    public static final OrchestrationAiModel GEMINI_2_5_FLASH_LITE
    Google Cloud Platform Gemini 2.5 Flash Lite model

  - ### GEMINI_2_5_PRO

    public static final OrchestrationAiModel GEMINI_2_5_PRO
    Google Cloud Platform Gemini 2.5 Pro model

  - ### GEMINI_3_1_FLASH_LITE

    public static final OrchestrationAiModel GEMINI_3_1_FLASH_LITE
    Google Cloud Platform Gemini 3.1 Flash Lite model

  - ### GEMINI_3_5_FLASH

    public static final OrchestrationAiModel GEMINI_3_5_FLASH
    Google Cloud Platform Gemini 3.5 Flash model

  - ### ALEPHALPHA_PHARIA_1_7B_CONTROL

    @Deprecated public static final OrchestrationAiModel ALEPHALPHA_PHARIA_1_7B_CONTROL
    Deprecated.
    This model is deprecated on AI Core with a planned retirement on 2025-10-31. The suggested replacement model is `MISTRAL_SMALL_INSTRUCT`.
    Alephalpha-pharia-1-7b-control model

  - ### DEEPSEEK_R1

    @Deprecated public static final OrchestrationAiModel DEEPSEEK_R1
    Deprecated.
    This model is deprecated on AI Core with a planned retirement on 2025-11-31.
    DeepSeek-R1

  - ### SONAR

    public static final OrchestrationAiModel SONAR
    Perplexity AI Sonar model

  - ### SONAR_PRO

    public static final OrchestrationAiModel SONAR_PRO
    Perplexity AI Sonar Pro model

  - ### SONAR_DEEP_RESEARCH

    public static final OrchestrationAiModel SONAR_DEEP_RESEARCH
    Perplexity AI Sonar Deep Research model

  - ### SAP_ABAP_1

    public static final OrchestrationAiModel SAP_ABAP_1
    SAP ABAP 1 model

- ## Constructor Details

  - ### OrchestrationAiModel

    public OrchestrationAiModel(String name, Map<String,Object> params, String version)
    Creates a new `OrchestrationAiModel` instance.
    Parameters:
      `name` - The name of the model
      `params` - Optional parameters on this model.

           Map.of(
               "max_completion_tokens", 50,
               "temperature", 0.1,
               "frequency_penalty", 0,
               "presence_penalty", 0)

- ## Method Details

  - ### withParam

    @Nonnull public OrchestrationAiModel withParam(@Nonnull String key, @Nullable Object value)
    Additional parameter on this model.
    Parameters:
      `key` - the parameter key.
      `value` - the parameter value, nullable.
    Returns:
      A new model with the additional parameter.

  - ### withParam

    @Nonnull public <ValueT> OrchestrationAiModel withParam(@Nonnull OrchestrationAiModel.Parameter<ValueT> param, @Nullable ValueT value)
    Additional parameter on this model.
    Type Parameters:
      `ValueT` - the parameter value type.
    Parameters:
      `param` - the parameter key.
      `value` - the parameter value, nullable.
    Returns:
      A new model with the additional parameter.

  - ### getName

    public String getName()
    The name of the model

  - ### getParams

    public Map<String,Object> getParams()
    Optional parameters on this model.

         Map.of(
             "max_completion_tokens", 50,
             "temperature", 0.1,
             "frequency_penalty", 0,
             "presence_penalty", 0)

  - ### getVersion

    public String getVersion()
    The version of the model, defaults to "latest".

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### withName

    public OrchestrationAiModel withName(String name)
    The name of the model
    Returns:
      a clone of this object, except with this updated property (returns `this` if an identical value is passed).

  - ### withParams

    public OrchestrationAiModel withParams(Map<String,Object> params)
    Optional parameters on this model.

         Map.of(
             "max_completion_tokens", 50,
             "temperature", 0.1,
             "frequency_penalty", 0,
             "presence_penalty", 0)

  - ### withVersion

    public OrchestrationAiModel withVersion(String version)
    The version of the model, defaults to "latest".
    Returns:
      a clone of this object, except with this updated property (returns `this` if an identical value is passed).